<?
/* ****************************************************************************
SnippetEdit - a tool that simplifies website content editing.
Copyright 2005 SnippetEdit.com <info@snippetedit.com>
Visit http://www.SnippetEdit.com for more information.

SnippetEdit Login and Frameset
DO NOT EDIT
**************************************************************************** */

if (strpos($_SERVER['SERVER_PROTOCOL'], "HTTPS") === false) {
	$current_url = "http://";
} else {
	$current_url = "https://";
}
$current_url .= $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];

$aTests = array();
Test(1);
if ($aTests[1]) {
	$params = array();
	$aFile = file("config.php");
	foreach ($aFile as $line) {
		if ((strlen(trim($line)) > 0)
			&& (substr($line,0,1) != "#")) {
			$aParam = split("=",$line);
			if ((is_array($aParam)) && (strlen(trim($aParam[1])) != 0)) {
				$params[trim($aParam[0])] = trim($aParam[1]);
			}
		}
	}
	$aPath = split("/", realpath("./"));
	$SnippetEdit_folder = $aPath[count($aPath)-1];
	$aWrk = split("/", $params['FULL_HOME_PAGE_URL']);
	$home_page = $aWrk[count($aWrk)-1];
	$root_url = str_replace("/".$home_page,"",$params['FULL_HOME_PAGE_URL']);
	Test(3);
	Test(4);
	Test(5);
}

$SUCCESS = true;
foreach ($aTests as $pass) {
	if (!$pass) {
		$SUCCESS = false;
	}
}

if ($SUCCESS) { header("Location:home.php"); }

function Test($testIdx) {
	global $aTests;
	$aTests[$testIdx] = true;
	switch($testIdx) {
	case 1: //Unlocked?
		global $current_url;
		$ch=curl_init(); 
		curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,FALSE);
		curl_setopt($ch,CURLOPT_URL,$current_url."locktest.php"); 
		#curl_setopt($ch,CURLOPT_POST,1); 
		#curl_setopt($ch,CURLOPT_POSTFIELDS,$postdata); 
		//Start ob to prevent curl_exec from displaying stuff. 
		ob_start(); 
		curl_exec($ch);
		//Get contents of output buffer 
		$res = ob_get_clean(); 
		curl_close($ch);
		if(!eregi('SnippetEdit unlock successful',$res)) {
			Test(2);
			$aTests[$testIdx] = false;
		}
		break;
	case 2: //Write enabled?
		if (!is_writable("codelock.php")) {
			$aTests[$testIdx] = false;
		}
		break;
	case 3: //FULL_HOME_PAGE_URL correct?
		global $current_url, $root_url, $SnippetEdit_folder;
		#echo "<br />".$current_url;
		#echo "<br />".$root_url."/".$SnippetEdit_folder;
		if (strtoupper($current_url) != strtoupper($root_url."/".$SnippetEdit_folder."/")) {
			$aTests[$testIdx] = false;
		}
		break;
	case 4:  //Home Page exists
		global $home_page;
		if (!is_file("../".$home_page)) {
			$aTests[$testIdx] = false;
		}
		break;
	case 5:  //Images dir exists
		global $params;
		if (!is_dir("../".$params['IMAGE_FOLDER'])) {
			$aTests[$testIdx] = false;
		}
		break;
	}
}

?>

<html>
<head>
<style>
body {
	font-family:Arial;
	font-size:9pt;
	letter-spacing:1;
}
</style>
</head>
<body>
<h1>SnippetEdit</h1>
<a target="readme" href="README.htm">Documentation</a><br />
<a target="_blank" href="http://www.snippetedit.com/forum">Technical Support</a><br />
<p>
It appears SnippetEdit is not ready for use on your website. Let's figure out why.
<p>
<?
if ($aTests[1] === false) {
	echo "SnippetEdit is locked. ";
	if ($aTests[2] === false) {
		echo "Before you can unlock SnippetEdit, you must write-enable codelock.php. It is not write-enabled now.";
		echo "<p>Once you have write-enabled codelock.php, refresh this page.";
	} else {
		echo " Enter the unlock code \"snippet\" in the text box below. When you submit the unlock code,"
			." it may take a couple minutes for the unlock process to complete. Please be patient.";
		echo "<iframe style=\"width:700px;height:350px;\" frameborder=\"0\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" src=\"locktest.php\" />\n";
	}
}

if ($aTests[3] === false) {
	echo "<p>";
	echo "The domain and path specified within the FULL_HOME_PAGE_URL"
		." parameter in config.php does not match the current URL."
		." Please make the necessary changes to config.php, then try SnippetEdit again.";
}
if ($aTests[4] === false) {
	echo "<p>";
	echo "The home page specified within the FULL_HOME_PAGE_URL"
		." parameter in config.php does not exist."
		." Please make the necessary changes to config.php, then try SnippetEdit again.";
}
if ($aTests[5] === false) {
	echo "<p>";
	echo "The IMAGES_FOLDER parameter in config.php specifies a folder that does not exist."
		." Please make the necessary changes to config.php, then try SnippetEdit again.";
}

?>

</body>
</html>



